From: Umang Parmar <umangjparmar@gmail.com>
Date: Thu, 7 Dec 2023 16:44:33 +0700
Subject: Update log file directory.

Last Updated: 2018-05-17

Last Updated: 2018-05-17
---
 adb_utils.cpp | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/adb_utils.cpp b/adb_utils.cpp
index d1910f1..9a9568c 100644
--- a/adb_utils.cpp
+++ b/adb_utils.cpp
@@ -343,6 +343,11 @@ std::string GetLogFilePath() {
 
     return temp_path_utf8 + log_name;
 #else
+    std::string log_dir = android::base::StringPrintf("/run/user/%u/adb.log", getuid());
+    struct stat st = {0};
+    if (stat(log_dir.c_str(), &st) == 0) {
+      return log_dir;
+    }
     const char* tmp_dir = getenv("TMPDIR");
     if (tmp_dir == nullptr) tmp_dir = "/tmp";
     return android::base::StringPrintf("%s/adb.%u.log", tmp_dir, getuid());
